[MBP] Only run the BranchFolder after RA
AbandonedPublic

Authored by joey on Mar 21 2017, 5:36 AM.

Details

Reviewers
iteratee
Summary

The Branch Folder can only run after RA. According to the comment at the top of the file:

// Note that this pass must be run after register allocation, it cannot handle
// SSA form.

Diff Detail

joey created this revision.Mar 21 2017, 5:36 AM
svenvh added a subscriber: svenvh.Mar 21 2017, 11:15 AM
iteratee accepted this revision.Mar 31 2017, 10:51 AM
This revision is now accepted and ready to land.Mar 31 2017, 10:51 AM
arsenm added a subscriber: arsenm.Mar 31 2017, 10:54 AM

This is actually a lie I found. I was experimenting enabling this before RA and was able to get it to work

I think the problem is by referring it to as post-RA. I interpret that is meaning physical registers, not post-SSA

joey abandoned this revision.Apr 21 2017, 2:59 AM

After talking to Matthias and Matt, this seems like the wrong solution.